"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var ToggleClassOnClick = /** @class */ (function (_super) {
    tslib_1.__extends(ToggleClassOnClick, _super);
    function ToggleClassOnClick() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.restrict = "A";
        return _this;
    }
    ToggleClassOnClick_1 = ToggleClassOnClick;
    ToggleClassOnClick.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var toggleElement = $(instanceAttributes["toggleElement"] || instanceElement);
        var toggleClass = instanceAttributes["toggleClass"];
        instanceElement.on("click touch", function () { return $(toggleElement).toggleClass(toggleClass); });
    };
    ToggleClassOnClick.factory = function () {
        return new ToggleClassOnClick_1();
    };
    ToggleClassOnClick = ToggleClassOnClick_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "toggleClassOnClick",
            factory: ToggleClassOnClick_1.factory
        })
    ], ToggleClassOnClick);
    return ToggleClassOnClick;
    var ToggleClassOnClick_1;
}(base_directive_1.DirectiveBase));
exports.ToggleClassOnClick = ToggleClassOnClick;
