"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var AddClass = /** @class */ (function (_super) {
    tslib_1.__extends(AddClass, _super);
    function AddClass() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.restrict = "A";
        return _this;
    }
    AddClass_1 = AddClass;
    AddClass.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var options = {};
        this.tryGet(options, instanceAttributes, "element");
        this.tryGet(options, instanceAttributes, "addClass");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(options.element)) {
            var element = $(options.element);
            if (!element.hasClass(options.addClass)) {
                element.addClass(options.addClass);
            }
        }
    };
    AddClass.factory = function () {
        return new AddClass_1();
    };
    AddClass = AddClass_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "addClass",
            factory: AddClass_1.factory
        })
    ], AddClass);
    return AddClass;
    var AddClass_1;
}(base_directive_1.DirectiveBase));
exports.AddClass = AddClass;
