"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var FullSelect = /** @class */ (function (_super) {
    tslib_1.__extends(FullSelect, _super);
    function FullSelect() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.restrict = "A";
        return _this;
    }
    FullSelect_1 = FullSelect;
    FullSelect.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on("focus", function () { return instanceElement.select(); });
    };
    FullSelect.factory = function () {
        return new FullSelect_1();
    };
    FullSelect = FullSelect_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "fullSelect",
            factory: FullSelect_1.factory
        })
    ], FullSelect);
    return FullSelect;
    var FullSelect_1;
}(base_directive_1.DirectiveBase));
exports.FullSelect = FullSelect;
