"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var base_directive_1 = require("./base.directive");
var directive_1 = require("../decorators/directive");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var RemoveClass = /** @class */ (function (_super) {
    tslib_1.__extends(RemoveClass, _super);
    function RemoveClass() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.restrict = "A";
        return _this;
    }
    RemoveClass_1 = RemoveClass;
    RemoveClass.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        var options = {};
        this.tryGet(options, instanceAttributes, "element");
        this.tryGet(options, instanceAttributes, "removeClass");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(options.element)) {
            var element = $(options.element);
            if (element.hasClass(options.removeClass)) {
                element.removeClass(options.removeClass);
            }
        }
    };
    RemoveClass.factory = function () {
        return new RemoveClass_1();
    };
    RemoveClass = RemoveClass_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "removeClass",
            factory: RemoveClass_1.factory
        })
    ], RemoveClass);
    return RemoveClass;
    var RemoveClass_1;
}(base_directive_1.DirectiveBase));
exports.RemoveClass = RemoveClass;
